#
# spec file for package xsetroot
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xsetroot
Version:        1.1.2
Release:        1.1
Summary:        Utility to set X root window parameter
License:        MIT
Group:          System/X11/Utilities
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xbitmaps)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xmuu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xproto) >= 7.0.17
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The xsetroot program allows you to tailor the appearance of the
background ("root") window on a workstation display running X.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%{_bindir}/xsetroot
%{_mandir}/man1/xsetroot.1%{?ext_man}

%changelog
* Thu Apr  5 2018 sndirsch@suse.com
- Update to version 1.1.2
  * autogen.sh changes
  * configure: Drop AM_MAINTAINER_MODE
  * Print which option was in error along with usage message
  * Only use results from GetWindowProperty if it returned success
  * Improve manpage and -help option.
* Sun Feb 10 2013 zaitor@opensuse.org
- Update to version 1.1.1:
  + Add -version option.
  + Combine usage message strings.
  + Config:
  - Add missing AC_CONFIG_SRCDIR.
  - Move man pages into their own directory.
  - Replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS.
  + man:
  - Replace hard coded man page section with substitution strings
  - Remove trailing spaces and tabs.
- Add pkgconfig(xproto) BuildRequires, new dependency.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split xsetroot from xorg-x11. Initial version: 1.1.0.
